%define name dirac
%define version 0.7.0
%define release %mkrel 1
%define major 0.1
%define libname %mklibname %name %major

Summary: Video Codec based on Wavelets
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%name/%{name}-%{version}.tar.bz2
Patch: dirac-0.7.0-werror.patch
License: MPL/GPL/LGPL
Group: Video
Url: http://sf.net/projects/dirac
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: doxygen
BuildRequires: tetex-dvipdfm tetex-latex
BuildRequires: libcppunit-devel

%description
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artefacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n %libname
Group: System/Libraries
Summary: Shared library of the Dirac Video codec

%description -n %libname
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artefacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n %libname-devel
Group: Development/C++
Summary: Development files of the Dirac Video codec
Requires: %libname = %version
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel

%description -n %libname-devel
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artefacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package utils
Group: Video
Summary: Example encoder and decoder for the Dirac video codec

%description utils
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artefacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.


%prep
%setup -q
%patch -p1
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
mv %buildroot%_datadir/doc installed-docs
#gw don't package unit tests
rm -fv %buildroot%_bindir/dirac_unittest

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files utils
%defattr(-,root,root)
%doc README TODO AUTHORS
%_bindir/dirac*
%_bindir/BMPtoRGB
%_bindir/RGB*
%_bindir/UYVYtoRGB
%_bindir/YUV*
%_bindir/create_dirac_testfile.pl

%files -n %libname
%defattr(-,root,root)
%_libdir/libdirac*.so.0*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/%{name}
%_libdir/libdirac*.so
%doc installed-docs/*
%attr(644,root,root)%_libdir/libdirac*.*a
%_libdir/pkgconfig/dirac.pc


%changelog
* Fri May 11 2007 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2008.0
+ Revision: 26231
- Import dirac



* Fri May 11 2007 Gtz Waschk <waschk@mandriva.org> 0.7.0-1mdv2008.0
- disable -Werror to make it build
- New version 0.7.0

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2007.0
- New release 0.6.0

* Fri Feb 10 2006 Gtz Waschk <waschk@mandriva.org> 0.5.4-2mdk
- enable cppunit tests

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 0.5.4-1mdk
- New release 0.5.4

* Wed Aug 24 2005 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdk
- New release 0.5.3

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.5.2-1mdk
- update file list
- New release 0.5.2

* Sat Feb 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- update file list
- New release 0.5.1

* Thu Dec  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- merge libname-devel and dirac-devel packages

* Thu Dec 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- 0.5.5

* Wed Sep 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.4.3-1mdk
- New release 0.4.3

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Thu Aug 26 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- New release 0.4.1

* Wed Aug 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- drop patches
- New release 0.4.0

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-3mdk
- fix buildrequires

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-2mdk
- drop xparam dependancy
- fix pkgconfig installation
- fix header location

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- manually install pkgconfig file
- fix pkgconfig file
- New release 0.3.1

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- initial package
